## org.apache.hadoop.record.compiler
Class JRecord

    java.lang.Object
      org.apache.hadoop.record.compiler.JType
          org.apache.hadoop.record.compiler.JRecord

    public class JRecord

extends JType

Constructor Summary
`JRecord(String name, ArrayList<JField<JType>> flist)` Creates a new instance of JRecord

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRecord

    public JRecord(String name,
                   ArrayList<JField<JType>> flist)

  Creates a new instance of JRecord

Copyright © 2009 The Apache Software Foundation